classifySVM {maigesPack} | R Documentation

## Function to do discrimination analysis

### Description

Function to search by groups of few genes, also called cliques, that can discriminate (or classify) between two distinct biological sample types, using the Support Vector Machinne method. This function uses exhaustive search.

### Usage

    classifySVM(obj=NULL, sLabelID="Classification", facToClass=NULL,
                gNameID="GeneName", geneGrp=1, path=NULL, nGenes=3)

### Arguments

`obj` | object of class `maiges` to search the classifiers.
`sLabelID` | character string with the identification of the sample label to be used.
`facToClass` | named list with 2 character vectors specifying the samples to be compared. If NULL (default) the first 2 types of sLabelID are used.
`gNameID` | character string with the identification of gene label ID.
`geneGrp` | character or integer specifying the gene group to be tested (`colnames` of `GeneGrps` slot). If both `geneGrp` and `path` are NULL all genes are used. Defaults to 1 (first group).
`path` | character or integer specifying the gene network to be tested (`names` of `Paths` slot). If both `geneGrp` and `path` are NULL all genes are used. Defaults to NULL.
`nGenes` | integer specifying the number of genes in the clique, or classifier.

### Details

Pay attention with the arguments `geneGrp` and `path`, if both of them is NULL an exhaustive search for all dataset will be done, and this search may be extremely computational intensive, which may result in a process running during some weeks or months depending on the number of genes in your dataset.

If you want to construct classifiers from a group of several genes, the search and choose (SC) method may be an interesting option. It is implemented in the function `classifySVMsc`. This method uses the function `svm` from package e1071 to search classifiers by Support Vector Machines. The functions `classifyLDA` and `classifyKNN` were also dedined to construct classifiers by Fisher's linear discriminant analysis ans k-neighbours, respectively.

### Value

The result of this function is an object of class `maigesClass`.

### Author(s)

Elier B. Cristo, adapted by Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`svm`, `classifySVMsc`, `classifyLDA` and `classifyKNN`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing SVM classifier with 2 genes for the 6th gene group comparing
    ## the 2 categories from 'Type' sample label.
    gastro.class = classifySVM(gastro.summ, sLabelID="Type",
      gNameID="GeneName", nGenes=2, geneGrp=6)
    gastro.class

    ## To do classifier with 3 genes for the 6th gene group comparing
    ## normal vs adenocarcinomas from 'Tissue' sample label
    gastro.class = classifySVM(gastro.summ, sLabelID="Tissue",
      gNameID="GeneName", nGenes=3, geneGrp=6,
      facToClass=list(Norm=c("Neso","Nest"), Ade=c("Aeso","Aest")))

[Package maigesPack version 1.4.0 Index]